> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Agent Test Case

> 
Remove a test case from an agent dataset. Use to clean up invalid or outdated test cases.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json delete /api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases/{test_case_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases/{test_case_id}:
    delete:
      tags:
        - Agent Datasets
      summary: Delete Agent Test Case
      description: >-

        Remove a test case from an agent dataset. Use to clean up invalid or
        outdated test cases.
      operationId: delete_delete_agent_dataset_test_case
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
        - name: test_case_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                title: EmptyResponse
                type: object
          description: EmptyResponse()
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````